Package be.fgov.ehealth.certra.protocol.v2

# Class GetExistingApplicationIdsRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GetExistingApplicationIdsRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetExistingApplicationIdsRequest extends RequestType implements Serializable
Request for obtaining a list of all Application Id's that are currently being used by certificates issued to the organization identified in this request. This operation is left unprotected intentionally because clients that do not have any known eHealth qualities must also be able to use this operation.

Java class for GetExistingApplicationIdsRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetExistingApplicationIdsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="OrganizationIdentifier" type="{urn:be:fgov:ehealth:commons:core:v2}IdType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetExistingApplicationIdsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Id`
  `getOrganizationIdentifier()`
  Identifier of an organization for which you want the list of application IDs that are being used by the eHealth certificates.
  `void`
  `setOrganizationIdentifier(Id value)`
  Sets the value of the organizationIdentifier property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetExistingApplicationIdsRequest

    public GetExistingApplicationIdsRequest()

- ## Method Details

  - ### getOrganizationIdentifier

    public Id getOrganizationIdentifier()
    Identifier of an organization for which you want the list of application IDs that are being used by the eHealth certificates.
    Returns:
      possible object is `Id`

  - ### setOrganizationIdentifier

    public void setOrganizationIdentifier(Id value)
    Sets the value of the organizationIdentifier property.
    Parameters:
      `value` - allowed object is `Id`
    See Also:
      - `getOrganizationIdentifier()`